﻿Imports System.ComponentModel

Public Class Misc
    Implements INotifyPropertyChanged


    'このコードは、KWEST Developer's Groupに属し



    'Set buil ddate to title bar.
    'Dim bdate As Date = Date.Now()
    'Dim _dateString = bdate.ToString("yyyyMdd")

    'Group members
    Dim _developers As String = "Robert Bernard" & vbNewLine & "Jeremy Schulte" & vbNewLine & "Joshua Blaylock"

    'Code ownership
    Dim _devgroup As String = "KwestDG, 2013"




    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged


#Region "Properties"
    ReadOnly Property BuildDate As String
        Get
            'BuildDate = "VB Password Generator Build " + _dateString
            BuildDate = "VB Password Generator Build 1.0"
        End Get
    End Property

    ReadOnly Property Devs As String
        Get
            Devs = _developers
        End Get
    End Property

    ReadOnly Property DevGroup As String
        Get
            DevGroup = _devgroup
        End Get
    End Property

    Private _letters As Boolean = True
    Public Property Letters() As Boolean
        Get
            Return _letters
        End Get
        Set(ByVal value As Boolean)
            _letters = value
            OnPropertyChanged("Letters")
        End Set
    End Property

    Private _numbers As Boolean = True
    Public Property Numbers() As Boolean
        Get
            Return _numbers
        End Get
        Set(ByVal value As Boolean)
            _numbers = value
            OnPropertyChanged("Numbers")
        End Set
    End Property

    Private _symbols As Boolean = True
    Public Property Symbols() As Boolean
        Get
            Return _symbols
        End Get
        Set(ByVal value As Boolean)
            _symbols = value
            OnPropertyChanged("Symbols")
        End Set
    End Property

    Private _save As Boolean = False
    Public Property Save() As Boolean
        Get
            Return _save
        End Get
        Set(ByVal value As Boolean)
            _save = value
        End Set
    End Property

    Private _limit As Integer = 7
    Public Property Limit() As Integer
        Get
            Return _limit
        End Get
        Set(ByVal value As Integer)
            _limit = value
            OnPropertyChanged("Limit")
        End Set
    End Property

    Private _clipboard As Boolean = False
    Public Property Clipboard() As Boolean
        Get
            Return _clipboard
        End Get
        Set(ByVal value As Boolean)
            _clipboard = value
            OnPropertyChanged("Clipboard")
        End Set
    End Property

#End Region

    Protected Sub OnPropertyChanged(ByVal name As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
    End Sub




End Class
